import { BooleanInput } from '@angular/cdk/coercion';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
/**
 * Deja Tag Component for Angular
 *
 * This component allow you to manage element into an array of string
 */
export declare class DejaTagComponent implements ControlValueAccessor {
    control: NgControl;
    _disabled: boolean;
    /**
     * Placeholder of the input
     */
    placeholder: string;
    /**
     * Current value into the input
     */
    text: string;
    /**
     * Current value of the array of string
     */
    items: string[];
    /** Allow to disabled the component */
    set disabled(value: BooleanInput);
    /**
     * Get disable value
     */
    get disabled(): BooleanInput;
    constructor(control: NgControl);
    get value(): string[];
    set value(val: string[]);
    writeValue(value: string[]): void;
    registerOnChange(fn: (_a: unknown) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    /**
     * Trigerred when user press key into the component
     */
    onKeyDown(e: KeyboardEvent): void;
    /**
     * Add item into the the list
     * @param val : Value of the text to add
     */
    onAddItem(val: string): void;
    onRemoveItem(): void;
    protected onTouchedCallback: () => void;
    protected onChangeCallback: (_a?: unknown) => void;
    protected onValidatorChangeCallback: (_a?: unknown) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DejaTagComponent, [{ optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DejaTagComponent, "deja-tag", never, { "placeholder": "placeholder"; "disabled": "disabled"; }, {}, never, never, false>;
}
